Index: branches/dev_001_GM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/dev_001_GM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 786)
+++ branches/dev_001_GM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 790)
@@ -1,7 +1,11 @@
 MODULE domzgr
-   !!==============================================================================
+   !!======================================================================
    !!                       ***  MODULE domzgr   ***
    !! Ocean initialization : domain initialization
-   !!==============================================================================
+   !!======================================================================
+   !! History :  NEMO !  03-08  (G. Madec)  original code
+   !!            1.0  !  05-10  (A. Beckmann)  modifications for hybrid s-ccordinates
+   !!             -   !  06-04  (R. Benshila, G. Madec)  add zgr_zco routine
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -14,6 +18,5 @@
    !!       zgr_zps      : z-coordinate with partial steps
    !!       zgr_sco      : s-coordinate
-   !!---------------------------------------------------------------------
-   !! * Modules used
+   !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
@@ -28,16 +31,12 @@
    PRIVATE
 
-   !! * Routine accessibility
    PUBLIC dom_zgr        ! called by dom_init.F90
 
-   !! * Module variables
-      REAL(wp) ::          & !!: Namelist nam_zgr_sco
-      sbot_min =  300.  ,  &  !: minimum depth of s-bottom surface (>0) (m)
-      sbot_max = 5250.  ,  &  !: maximum depth of s-bottom surface (= ocean depth) (>0) (m)
-      theta    =    6.0 ,  &  !: surface control parameter (0<=theta<=20)
-      thetb    =    0.75,  &  !: bottom control parameter  (0<=thetb<= 1)
-      r_max    =    0.15      !: maximum cut-off r-value allowed (0<r_max<1)
-
-
+   !                                 !!! * Namelist nam_zgr_sco *
+   REAL(wp) ::   sbot_min =  300.     !: minimum depth of s-bottom surface (>0) (m)
+   REAL(wp) ::   sbot_max = 5250.     !: maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   REAL(wp) ::   theta    =    6.0    !: surface control parameter (0<=theta<=20)
+   REAL(wp) ::   thetb    =    0.75   !: bottom control parameter  (0<=thetb<= 1)
+   REAL(wp) ::   r_max    =    0.15   !: maximum cut-off r-value allowed (0<r_max<1)
  
    !! * Substitutions
@@ -45,5 +44,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 2.4 , LOCEAN-IPSL (2008) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -58,10 +59,4 @@
       !!
       !! ** Method  reference vertical coordinate
-      !!
-      !! ** Action : 
-      !!
-      !! History :
-      !!   9.0  !  03-08  (G. Madec)  original code
-      !!   9.0  !  05-10  (A. Beckmann)  modifications for hybrid s-ccordinates
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio = 0      ! temporary integer
@@ -70,13 +65,8 @@
       !!----------------------------------------------------------------------
 
-      ! Read Namelist nam_zgr : vertical coordinate'
-      ! ---------------------
-      REWIND ( numnam )
+      REWIND ( numnam )                ! Read Namelist nam_zgr : vertical coordinate'
       READ   ( numnam, nam_zgr )
 
-      ! Parameter control and print
-      ! ---------------------------
-      ! Control print
-      IF(lwp) THEN
+      IF(lwp) THEN                     ! Control print
          WRITE(numout,*)
          WRITE(numout,*) 'dom_zgr : vertical coordinate'
@@ -88,5 +78,5 @@
       ENDIF
 
-      ! Check Vertical coordinate options
+      !                                ! Check Vertical coordinate options
       ioptio = 0
       IF( ln_zco ) ioptio = ioptio + 1
@@ -131,5 +121,5 @@
       ENDIF
 !!!bug gm
-
+      !
    END SUBROUTINE dom_zgr
 
@@ -154,16 +144,10 @@
       !!              -  e3t_0, e3w_0    : scale factors at T- and W-levels (m)
       !!
-      !! Reference :
-      !!      Marti, Madec & Delecluse, 1992, JGR, 97, No8, 12,763-12,766.
-      !!
-      !! History :
-      !!   9.0  !  03-08  (G. Madec)  F90: Free form and module
-      !!----------------------------------------------------------------------
-      !! * Local declarations
-      INTEGER  ::   jk                     ! dummy loop indices
-      REAL(wp) ::   zt, zw                 ! temporary scalars
-      REAL(wp) ::   &
-      zsur , za0, za1, zkth, zacr,      &  ! Values set from parameters in
-      zdzmin, zhmax                        ! par_CONFIG_Rxx.h90
+      !! Reference : Marti, Madec & Delecluse, 1992, JGR, 97, No8, 12,763-12,766.
+      !!----------------------------------------------------------------------
+      INTEGER  ::   jk                          ! dummy loop indices
+      REAL(wp) ::   zt, zw                      ! temporary scalars
+      REAL(wp) ::   zsur , za0, za1             ! value set from parameters 
+      REAL(wp) ::   zkth, zacr, zdzmin, zhmax   !    "             "
       !!----------------------------------------------------------------------
 
@@ -176,5 +160,5 @@
       !  za0, za1, zsur are computed from ppdzmin , pphmax, ppkth, ppacr
       !
-       IF(  ppa1  == pp_to_be_computed  .AND.  &
+      IF(   ppa1  == pp_to_be_computed  .AND.  &
          &  ppa0  == pp_to_be_computed  .AND.  &
          &  ppsur == pp_to_be_computed           ) THEN
@@ -183,16 +167,11 @@
              &                         *  (  LOG( COSH( (jpk - ppkth) / ppacr) )      &
              &                             - LOG( COSH( ( 1  - ppkth) / ppacr) )  )  )
-
          za0  = ppdzmin - za1 * TANH( (1-ppkth) / ppacr )
          zsur = - za0 - za1 * ppacr * LOG( COSH( (1-ppkth) / ppacr )  )
-
-       ELSE
-         za1 = ppa1 ;       za0 = ppa0 ;          zsur = ppsur
-       ENDIF
-
-
-      ! Parameter print
-      ! ---------------
-      IF(lwp) THEN
+      ELSE
+         za1 = ppa1   ;   za0 = ppa0   ;   zsur = ppsur
+      ENDIF
+
+      IF(lwp) THEN                    ! control print
          WRITE(numout,*)
          WRITE(numout,*) '    zgr_z   : Reference vertical z-coordinates'
@@ -220,6 +199,5 @@
       ! Reference z-coordinate (depth - scale factor at T- and W-points)
       ! ======================
-      IF( ppkth == 0.e0 ) THEN            !  uniform vertical grid       
-
+      IF( ppkth == 0.e0 ) THEN            ! uniform vertical grid       
          za1 = zhmax / FLOAT(jpk-1) 
          DO jk = 1, jpk
@@ -231,7 +209,5 @@
             e3t_0  (jk) =  za1
          END DO
-
-      ELSE
-
+      ELSE                                ! stretched vertical grid
          DO jk = 1, jpk
             zw = FLOAT( jk )
@@ -242,12 +218,8 @@
             e3t_0  (jk) =          za0      + za1        * TANH(      (zt-zkth)/zacr   )
          END DO
-         gdepw_0(1) = 0.e0      ! force first w-level to be exactly at zero
-
-      ENDIF
-
-      ! Control and  print
-      ! ==================
-
-      IF(lwp) THEN
+         gdepw_0(1) = 0.e0                   ! force first w-level to be exactly at zero
+      ENDIF
+
+      IF(lwp) THEN                        ! Control and  print
          WRITE(numout,*)
          WRITE(numout,*) '              Reference z-coordinate depth and scale factors:'
@@ -255,10 +227,10 @@
          WRITE(numout, "(10x, i4, 4f9.2)" ) ( jk, gdept_0(jk), gdepw_0(jk), e3t_0(jk), e3w_0(jk), jk = 1, jpk )
       ENDIF
-
+      !
       DO jk = 1, jpk
          IF( e3w_0(jk)  <= 0. .OR. e3t_0(jk)  <= 0. ) CALL ctl_stop( ' e3w or e3t =< 0 ' )
          IF( gdepw_0(jk) < 0. .OR. gdept_0(jk) < 0. ) CALL ctl_stop( ' gdepw or gdept < 0 ' )
       END DO
-
+      !
    END SUBROUTINE zgr_z
 
@@ -297,24 +269,14 @@
       !! ** Action  : - mbathy: level bathymetry (in level index)
       !!              - bathy : meter bathymetry (in meters)
-      !!
-      !! History :
-      !!   9.0  !  03-08  (G. Madec)  Original code
-      !!   9.0  !  05-10  (A. Beckmann)  modifications for s-ccordinates
-      !!----------------------------------------------------------------------
-      !! * Modules used
+      !!----------------------------------------------------------------------
       USE iom
 
-      !! * Local declarations
-      INTEGER ::   ji, jj, jl, jk       ! dummy loop indices
-      INTEGER ::   inum                 ! temporary logical unit
-      INTEGER  ::   &
-         ii_bump, ij_bump, ih           ! bump center position
-      INTEGER , DIMENSION(jpidta,jpjdta) ::   &
-         idta                           ! global domain integer data
-      REAL(wp) ::   &
-         r_bump, h_bump, h_oce,      &  ! bump characteristics 
-         zi, zj, zh                     ! temporary scalars
-      REAL(wp), DIMENSION(jpidta,jpjdta) ::   &
-         zdta                           ! global domain scalar data
+      INTEGER  ::   ji, jj, jl, jk          ! dummy loop indices
+      INTEGER  ::   inum                    ! temporary logical unit
+      INTEGER  ::   ii_bump, ij_bump, ih    ! bump center position
+      REAL(wp) ::   r_bump, h_bump, h_oce   ! bump characteristics 
+      REAL(wp) ::   zi, zj, zh                     ! temporary scalars
+      INTEGER , DIMENSION(jpidta,jpjdta) ::   idta   ! global domain integer data
+      REAL(wp), DIMENSION(jpidta,jpjdta) ::   zdta   ! global domain scalar data
       !!----------------------------------------------------------------------
 
@@ -331,16 +293,13 @@
 
          IF( ntopo == 0 ) THEN                        ! flat basin
-
             IF(lwp) WRITE(numout,*)
             IF(lwp) WRITE(numout,*) '         bathymetry field: flat basin'
-
             idta(:,:) = jpkm1                            ! flat basin 
             zdta(:,:) = gdepw_0(jpk)
             h_oce     = gdepw_0(jpk)
-
+            !
          ELSE                                         ! bump
             IF(lwp) WRITE(numout,*)
             IF(lwp) WRITE(numout,*) '         bathymetry field: flat basin with a bump'
-
             ii_bump = jpidta / 2           ! i-index of the bump center
             ij_bump = jpjdta / 2           ! j-index of the bump center
@@ -361,5 +320,4 @@
                END DO
             END DO
-
             ! idta :
             IF( ln_sco ) THEN      ! s-coordinate (zsc       ): idta()=jpk
@@ -478,9 +436,5 @@
       !!
       !! ** Action  : - update mbathy: level bathymetry (in level index)
-      !!
-      !! History :
-      !!   9.0  !  03-08  (G. Madec)  Original code
-      !!----------------------------------------------------------------------
-      !! * Local variables
+      !!----------------------------------------------------------------------
       INTEGER ::   ii0, ii1, ij0, ij1   ! temporary integers
       !!----------------------------------------------------------------------
@@ -523,5 +477,5 @@
          !
       ENDIF
-
+      !
    END SUBROUTINE zgr_bat_zoom
 
@@ -548,15 +502,8 @@
       !! ** Action  : - update mbathy: level bathymetry (in level index)
       !!              - update bathy : meter bathymetry (in meters)
-      !!
-      !! History :
-      !!   9.0  !  03-08  (G. Madec)  Original code
-      !!   9.0  !  05-10  (A. Beckmann)  modifications for s-ccordinates
-      !!----------------------------------------------------------------------
-      !! * Local declarations
-      INTEGER ::   ji, jj, jl           ! dummy loop indices
-      INTEGER ::   &
-         icompt, ibtest, ikmax          ! temporary integers
-      REAL(wp), DIMENSION(jpi,jpj) ::   &
-         zbathy                         ! temporary workspace
+      !!----------------------------------------------------------------------
+      INTEGER ::   ji, jj, jl                    ! dummy loop indices
+      INTEGER ::   icompt, ibtest, ikmax         ! temporary integers
+      REAL(wp), DIMENSION(jpi,jpj) ::   zbathy   ! temporary workspace
       !!----------------------------------------------------------------------
 
@@ -580,5 +527,4 @@
 
          DO jl = 1, 2
-
             IF( nperio == 1 .OR. nperio  ==  4 .OR. nperio  ==  6 ) THEN
                mbathy( 1 ,:) = mbathy(jpim1,:)
@@ -597,11 +543,10 @@
                END DO
             END DO
-
-         END DO
-         IF( icompt == 0 ) THEN
-            IF(lwp) WRITE(numout,*)'     no isolated ocean grid points'
-         ELSE
-            IF(lwp) WRITE(numout,*)'    ',icompt,' ocean grid points suppressed'
+         END DO
+         !
+         IF( icompt == 0 ) THEN   ;   IF(lwp) WRITE(numout,*)'     no isolated ocean grid points'
+         ELSE                     ;   IF(lwp) WRITE(numout,*)'    ',icompt,' ocean grid points suppressed'
          ENDIF
+         !
          IF( lk_mpp ) THEN
             zbathy(:,:) = FLOAT( mbathy(:,:) )
@@ -610,5 +555,5 @@
          ENDIF
 
-         ! 3.2 East-west cyclic boundary conditions
+         ! East-west cyclic boundary conditions
 
          IF( nperio == 0 ) THEN
@@ -661,7 +606,7 @@
                mbathy(:,:) = INT( zbathy(:,:) )
             ENDIF
-
+            !
          ENDIF
-
+         !
       ENDIF
 
@@ -674,5 +619,5 @@
          END DO
       END DO
-      !!! test a faire:   ikmax = MAX( mbathy(:,:) )   ???
+!!gm      !!! test a faire:   ikmax = MAX( mbathy(:,:) )   ???
 
       IF( ikmax > jpkm1 ) THEN
@@ -694,5 +639,5 @@
          WRITE(numout,*)
       ENDIF
-
+      !
    END SUBROUTINE zgr_bat_ctl
 
@@ -705,11 +650,8 @@
       !!
       !! ** Method  :   set 3D coord. arrays to reference 1D array if lk_zco=T
-      !!
-      !! History :
-      !!        !  06-04  (R. Benshila, G. Madec)  Original code 
       !!----------------------------------------------------------------------
       INTEGER  ::   jk
       !!----------------------------------------------------------------------
-
+      !
       IF( .NOT.lk_zco ) THEN
          DO jk = 1, jpk
@@ -726,7 +668,6 @@
          END DO
       ENDIF
-
+      !
    END SUBROUTINE zgr_zco
-
 
 
@@ -769,25 +710,14 @@
       !!      schemes.
       !!
-      !! Reference :
-      !!      Madec, Lott, Delecluse and Crepon, 1996. JPO, 26, 1393-1408.
-      !!
-      !! History :
-      !!        !  95-12  (G. Madec)  Original code : s vertical coordinate
-      !!        !  97-07  (G. Madec)  lbc_lnk call
-      !!        !  97-04  (J.-O. Beismann) 
-      !!   8.5  !  02-06  (G. Madec)  F90: Free form and module
-      !!   9.0  !  05-10  (A. Beckmann)  new stretching function
-      !!----------------------------------------------------------------------
-      !! * Local declarations
+      !! Reference : Madec, Lott, Delecluse and Crepon, 1996. JPO, 26, 1393-1408.
+      !!----------------------------------------------------------------------
       INTEGER  ::   ji, jj, jk, jl
-      REAL(wp) ::   fssig, fsdsig, pfkk
+      REAL(wp) ::   fssigt, fssigw, pfkk
 
       INTEGER  ::   iip1, ijp1, iim1, ijm1
-      REAL(wp) ::   &
-         fssigt, fssigw, zcoeft, zcoefw,   &
-         zrmax, ztaper
-
-      REAL(wp), DIMENSION(jpi,jpj) ::   &
-         zenv, ztmp, zmsk, zri, zrj, zhbat
+!     REAL(wp) ::   zcoeft, zcoefw
+      REAL(wp) ::   zrmax, ztaper
+
+      REAL(wp), DIMENSION(jpi,jpj) ::   zenv, ztmp, zmsk, zri, zrj, zhbat
 
       NAMELIST/nam_zgr_sco/ sbot_max, sbot_min, theta, thetb, r_max
@@ -1120,5 +1050,6 @@
       END DO
 
-      IF( nprint == 1 .AND. lwp ) WRITE(numout,*) ' MIN val mbathy h90 ', MINVAL( mbathy(:,:) ), ' MAX ', MAXVAL( mbathy(:,:) )
+      IF( nprint == 1 .AND. lwp ) WRITE(numout,*) ' MIN val mbathy h90 ', MINVAL( mbathy(:,:) ),   &
+         &                                        ' MAX '               , MAXVAL( mbathy(:,:) )
 
 
@@ -1129,7 +1060,5 @@
       IF( lzoom )   CALL zgr_bat_zoom
 
-      ! 2.4 Control print
-
-      IF(lwp) THEN
+      IF(lwp) THEN                           ! Control print
          WRITE(numout,*) 
          WRITE(numout,*) ' domzgr: vertical coefficients for model level'
@@ -1202,5 +1131,5 @@
       END DO
 !!bug gm    #endif
-
+      !
    END SUBROUTINE zgr_sco
 
Index: branches/dev_001_GM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90
===================================================================
--- branches/dev_001_GM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 786)
+++ branches/dev_001_GM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 790)
@@ -99,8 +99,4 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#if defined key_trddyn
-               utrd(ji,jj,jk,1) = zua                    ! save the horizontal advective trend of momentum
-               vtrd(ji,jj,jk,1) = zva 
-#endif
             END DO
          END DO
@@ -109,4 +105,5 @@
       !                                                ! ===============
 
+!!gm  momentum trend diagnostics is missing
 
       ! II. Vertical advection
@@ -158,4 +155,5 @@
          END DO
       END DO
+!!gm  momentum trend diagnostics is missing
 
    END SUBROUTINE dyn_adv_cen2
Index: branches/dev_001_GM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90
===================================================================
--- branches/dev_001_GM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 786)
+++ branches/dev_001_GM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 790)
@@ -191,8 +191,4 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#if defined key_trddyn
-               utrd(ji,jj,jk,1) = zua                    ! save the horizontal advective trend of momentum
-               vtrd(ji,jj,jk,1) = zva 
-#endif
             END DO
          END DO
@@ -201,4 +197,5 @@
       !                                                ! ===============
 
+!!gm  momentum trend diagnostics is missing
 
       ! II. Vertical advection
Index: branches/dev_001_GM/NEMO/OPA_SRC/SBC/ocesbc.F90
===================================================================
--- branches/dev_001_GM/NEMO/OPA_SRC/SBC/ocesbc.F90	(revision 786)
+++ branches/dev_001_GM/NEMO/OPA_SRC/SBC/ocesbc.F90	(revision 790)
@@ -4,4 +4,9 @@
    !!                     Ocean surface boundary conditions
    !!======================================================================
+   !! History :   -   !  00-10  (O. Marti)  Original code
+   !!            1.0  !  02-12  (G. Madec)  F90: Free form and module
+   !!            2.0  !  05-11  (V. Garnier) Surface pressure gradient organization
+   !!            2.4  !  08-01  (G. Madec)  suppress dmp (internal damping contribution)
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -9,5 +14,4 @@
    !!   oce_sbc_dmp : ???
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce            ! dynamics and tracers variables
    USE dom_oce        ! ocean space domain variables
@@ -20,5 +24,4 @@
    USE flxmod         ! thermohaline fluxes
    USE flxrnf         ! runoffs forcing
-   USE tradmp         ! damping salinity trend
    USE dtatem         ! ocean temperature data
    USE dtasal         ! ocean salinity data
@@ -49,8 +52,4 @@
       qrp ,         &  !: heat flux damping (w/m2)
       erp              !: evaporation damping (kg/m2/s = mm/s)
-#if ! defined key_dynspg_rl
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      dmp              !: internal dampind term
-#endif
 
 #  include "domzgr_substitute.h90"
@@ -80,8 +79,4 @@
       !!        Louvain la Neuve Sea Ice Model in coupled mode
       !!
-      !! History :
-      !!   1.0  !  00-10  (O. Marti)  Original code
-      !!   2.0  !  02-12  (G. Madec)  F90: Free form and module
-      !!   9.0  !  05-11  (V. Garnier) Surface pressure gradient organization
       !!----------------------------------------------------------------------
       !! * Arguments
@@ -105,7 +100,4 @@
          emps  (:,:) = 0.e0
          erp   (:,:) = 0.e0
-#if ! defined key_dynspg_rl 
-         dmp   (:,:) = 0.e0
-#endif
       ENDIF
 
@@ -143,5 +135,5 @@
 
          ! total volume flux (use on sea-surface height)
-         emp (:,:) = fmass(:,:)  -  dmp(:,:) + runoff(:,:) + erp(:,:)
+         emp (:,:) = fmass(:,:)  + runoff(:,:) + erp(:,:)
 #else
          ! Rigid-lid (emp=emps=E-P-R+Erp) 
@@ -216,7 +208,4 @@
          emps   (:,:) = 0.e0
          erp    (:,:) = 0.e0
-#if ! defined key_dynspg_rl 
-         dmp    (:,:) = 0.e0
-#endif
       ENDIF
 #if defined key_flx_core
@@ -243,5 +232,5 @@
 
          ! total volume flux (use on sea-surface height)
-         emp (:,:) = fmass(:,:) -   dmp(:,:) + runoff(:,:) + erp(:,:) + empold      
+         emp (:,:) = fmass(:,:)              + runoff(:,:) + erp(:,:) + empold      
 #else
          ! Rigid-lid (emp=emps=E-P-R+Erp)
@@ -446,7 +435,4 @@
          emps   (:,:) = 0.e0
          erp    (:,:) = 0.e0
-#if ! defined key_dynspg_rl 
-         dmp    (:,:) = 0.e0
-#endif
       ENDIF
 
@@ -537,9 +523,8 @@
 
          ! Contribution to sea level:
-         ! net upward water flux emp() = e-p + runoff() + erp() + dmp + empold
+         ! net upward water flux emp() = e-p + runoff() + erp() + empold
          emp (:,:) = zemp(:,:)     &   ! e-p data
             &      + runoff(:,:)   &   ! runoff data
             &      + erp(:,:)      &   ! restoring term to SSS data
-            &      + dmp(:,:)      &   ! freshwater flux associated with internal damping
             &      + empold            ! domain averaged annual mean correction
 
@@ -809,8 +794,4 @@
       REAL(wp) ::   zerpplus(jpi,jpj), zerpminus(jpi,jpj)
       REAL(wp) ::   zplus, zminus, zadefi
-# if defined key_tradmp
-      INTEGER jk
-      REAL(wp), DIMENSION(jpi,jpj) ::   zstrdmp
-# endif
 #endif
       !!----------------------------------------------------------------------
@@ -838,17 +819,4 @@
       ! Free-surface
          
-      ! Internal damping
-# if defined key_tradmp
-      ! Vertical mean of dampind trend (computed in tradmp module)
-      zstrdmp(:,:) = 0.e0
-      DO jk = 1, jpk
-         zstrdmp(:,:) = zstrdmp(:,:) + strdmp(:,:,jk) * fse3t(:,:,jk)
-      END DO
-      ! volume flux associated to internal damping to climatology
-      dmp(:,:) = zstrdmp(:,:) * rauw / ( zsss(:,:) + 1.e-20 )
-# else
-      dmp(:,:) = 0.e0            ! No internal damping
-# endif
-      
       !   evaporation damping term ( Surface restoring )
       zerpplus (:,:) = 0.e0
Index: branches/dev_001_GM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- branches/dev_001_GM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 786)
+++ branches/dev_001_GM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 790)
@@ -152,7 +152,7 @@
       ! -----------------------------------------------------------------
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij   ! vector opt. (forced unrolling)
+#  if defined key_vectopt_loop
+      DO jj = 1, 1         ! vector opt.
+         DO ji = 1, jpij   ! forced the loop collapse
 #  else
       DO jj = 1, jpj
@@ -165,13 +165,11 @@
             zsbb(ji,jj) = sb(ji,jj,ik) * tmask(ji,jj,1)
             zdep(ji,jj) = fsdept(ji,jj,ik)                ! depth of the ocean bottom T-level
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
+         END DO
       END DO
 
       IF( ln_zps ) THEN      ! partial steps correction 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+# if defined key_vectopt_loop
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 # else
          DO jj = 1, jpjm1
@@ -186,12 +184,10 @@
                zahu(ji,jj) = atrbbl * e2u(ji,jj) * ze3u / e1u(ji,jj) * umask(ji,jj,1)
                zahv(ji,jj) = atrbbl * e1v(ji,jj) * ze3v / e2v(ji,jj) * vmask(ji,jj,1)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
             END DO
-# endif
          END DO
       ELSE                    ! z-coordinate - full steps or s-coordinate
 #   if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #   else
          DO jj = 1, jpjm1
@@ -202,7 +198,5 @@
                zahu(ji,jj) = atrbbl * e2u(ji,jj) * fse3u(ji,jj,iku) / e1u(ji,jj) * umask(ji,jj,1)
                zahv(ji,jj) = atrbbl * e1v(ji,jj) * fse3v(ji,jj,ikv) / e2v(ji,jj) * vmask(ji,jj,1)
-#   if ! defined key_vectopt_loop   ||   defined key_mpp_omp
             END DO
-#   endif
          END DO
       ENDIF
@@ -218,6 +212,6 @@
 
 #  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -236,12 +230,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+         END DO
+      END DO
+
+#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -260,7 +252,5 @@
             zsign = sign( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
+         END DO
       END DO
 
@@ -268,6 +258,6 @@
                                ! 
 #  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -279,12 +269,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+         END DO
+      END DO
+
+#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -296,7 +284,5 @@
             zsign = sign( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
+         END DO
       END DO
 
@@ -304,6 +290,6 @@
 
 #  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -312,16 +298,14 @@
             ! local density gradient along i-bathymetric slope
             zgdrho = - ( rbeta*( zsnb(ji+1,jj) - zsnb(ji,jj) )   &
-                     -  ralpha*( ztnb(ji+1,jj) - ztnb(ji,jj) ) )
+               &     -  ralpha*( ztnb(ji+1,jj) - ztnb(ji,jj) ) )
             ! sign of local i-gradient of density multiplied by the i-slope
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+         END DO
+      END DO
+
+#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -330,11 +314,9 @@
             ! local density gradient along j-bathymetric slope
             zgdrho = - ( rbeta*( zsnb(ji,jj+1) - zsnb(ji,jj) )   &
-                     -  ralpha*( ztnb(ji,jj+1) - ztnb(ji,jj) ) )   
+               &     -  ralpha*( ztnb(ji,jj+1) - ztnb(ji,jj) ) )   
             ! sign of local j-gradient of density multiplied by the j-slope
-            zsign = sign( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
+            zsign = SIGN( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
+         END DO
       END DO
       
@@ -351,6 +333,6 @@
       ! first derivative (gradient)
 #  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+      DO jj = 1, 1             ! vector opt.
+         DO ji = 1, jpij-jpi   ! forced the loop collapse
 #  else
       DO jj = 1, jpjm1
@@ -362,7 +344,5 @@
             zky(ji,jj) = zkj(ji,jj) * ( ztbb(ji,jj+1) - ztbb(ji,jj) )
             zkw(ji,jj) = zkj(ji,jj) * ( zsbb(ji,jj+1) - zsbb(ji,jj) )
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
+         END DO
       END DO
 
@@ -401,6 +381,6 @@
       ! second derivative (divergence) and add to the general tracer trend
 #  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+      DO jj = 1, 1                   ! vector opt.
+         DO ji = jpi+2, jpij-jpi-1   ! forced the loop collapse
 #  else
       DO jj = 2, jpjm1
@@ -415,7 +395,5 @@
             ta(ji,jj,ik) = ta(ji,jj,ik) + zta
             sa(ji,jj,ik) = sa(ji,jj,ik) + zsa
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
+         END DO
       END DO
 
@@ -441,6 +419,6 @@
    !!   Default option :                 NO advective bottom boundary layer
    !!----------------------------------------------------------------------
-   SUBROUTINE tra_bbl_adv (kt )              ! Empty routine
-      INTEGER, INTENT(in) :: kt
+   SUBROUTINE tra_bbl_adv( kt )              ! Empty routine
+      INTEGER :: kt
       WRITE(*,*) 'tra_bbl_adv: You should not have seen this print! error?', kt
    END SUBROUTINE tra_bbl_adv
